IF	OBJECT_ID('EST_PROD_TBL_FIDEL_INTEGRADORA') IS NULL
begin
CREATE TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA](
	[CD_INTEGRADORA] [int] NOT NULL,
	[DS_INTEGRADORA] [varchar](100) NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NULL,
	[DT_ULT_ALT] [datetime] NULL
 CONSTRAINT [PK_EST_PROD_TBL_FIDEL_INTEGRADORA] PRIMARY KEY CLUSTERED 
(
	[CD_INTEGRADORA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_CD_INTEGRADORA]  DEFAULT ((0)) FOR [CD_INTEGRADORA]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_DS_INTEGRADORA]  DEFAULT ('') FOR [DS_INTEGRADORA]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_CD_USU]  DEFAULT ((0)) FOR [CD_USU]
end
GO
GO
--Criando a integradora padrao
IF NOT EXISTS(SELECT
				CD_INTEGRADORA
			  FROM
				EST_PROD_TBL_FIDEL_INTEGRADORA
			  WHERE
				CD_INTEGRADORA=0
			 )
begin
INSERT INTO EST_PROD_TBL_FIDEL_INTEGRADORA
(CD_INTEGRADORA,
DS_INTEGRADORA,
CD_USU,
DT_CAD)
SELECT
	0,
	'INTEGRADORA PROPRIA',
	1,
	GETDATE()
end